Type to search.

Set runner roles

  • PUT /platform/infrastructure/runners/{runner_id}/roles
Auth

Set runner roles.

Path parameters

runner_id string required

The identifier for the runner

Query parameters

bless boolean

Assigns the runner to the roles.

Request body

The roles for the runner that you want to apply.

roles object[] required

List of roles

role_name string required

Name of the role

Responses

The roles for the {runner_id} specified runner are assigned.

application/json
roles object[] required

List of roles

role_name string required

Name of the role